<template>
  <div class="page">
    <app-menu
      :is-closable-window="false"
      title="Radio">
    </app-menu>
    <tab-bar
      v-model="activeTab"
      :is-closable-window="false">
      <el-tab-pane label="Disk" name="disk">
        <music-disk-tab />
      </el-tab-pane>
      <el-tab-pane label="Playlists" name="playlists">Playlists</el-tab-pane>
      <el-tab-pane label="Record" name="record">
        <radio-record-tab></radio-record-tab>
      </el-tab-pane>
    </tab-bar>
  </div>
</template>

<script>
import RadioRecordTab from '@/components/tabs/RadioRecordTab/RadioRecordTab'
import MusicDiskTab from '@/components/tabs/MusicDiskTab/MusicDiskTab'

export default {
  components: {
    RadioRecordTab,
    MusicDiskTab,
  },
  head() {
    return {
      title: 'Radio'
    }
  },
  data() {
    return {
      activeTab: 'disk',
    }
  },
  methods: {

  },
  mounted() {
    nw.Window.get().blur()
  }
}
</script>

<style lang="less" scoped>

</style>
